
<?php  
include ('../includes/connection.php');  
 $student_roll_no = $_GET['id'];
 $ex_id=$_GET['id_4'];

if (isset($_POST['edit_feb'])){   
$class_id = $_POST['class_id'];  
$subject_id = $_POST['subject_id']; 
$marks = $_POST['marks'];  

$Level= mysqli_query($conn,"SELECT * FROM class_srms where class_id='$class_id'")or die(mysqli_error());
$level_class = mysqli_fetch_array($Level);
$check_level=$level_class['level'];

if ($check_level=="O-level") {
if ($marks>= 75) {
        $T_point=1; 
      }elseif ($marks>= 65) {
        $T_point=2; 
      }elseif ($marks>= 45) {
        $T_point=3; 
      }elseif ($marks>= 30) {
        $T_point=4; 
      }else{
        $T_point=5; 
      }   
if ($marks>= 75) {
        $grade="A"; 
      }elseif ($marks>= 65) {
        $grade="B"; 
      }elseif ($marks>= 45) {
        $grade="C"; 
      }elseif ($marks>= 30) {
        $grade="D"; 
      }else{
        $grade="F"; 
}
 if ($marks>= 75) {
        $pass_marks="EXCELLENT"; 
      }elseif ($marks>= 65) {
        $pass_marks="VERY GOOD"; 
      }elseif ($marks>= 45) {
        $pass_marks="GOOD"; 
      }elseif ($marks>= 30) {
        $pass_marks="AVERAGE"; 
      }else{
        $pass_marks="FAIL"; 
 }
}else{
if ($marks>= 80) {
        $T_point=1; 
      }elseif ($marks>= 70) {
        $T_point=2; 
      }elseif ($marks>= 60) {
        $T_point=3; 
      }elseif ($marks>= 50) {
        $T_point=4; 
      }elseif ($marks>= 40) {
        $T_point=5; 
      }elseif ($marks>= 35) {
        $T_point=6; 
      }else{
        $T_point=7; 
      }   
if ($marks>= 80) {
        $grade="A"; 
      }elseif ($marks>= 70) {
        $grade="B"; 
      }elseif ($marks>= 60) {
        $grade="C"; 
      }elseif ($marks>= 50) {
        $grade="D"; 
      }elseif ($marks>= 40) {
        $grade="E"; 
      }elseif ($marks>= 35) {
        $grade="S"; 
      }else{
        $grade="F"; 
}
 if ($marks>= 80) {
        $pass_marks="EXCELLENT"; 
      }elseif ($marks>= 70) {
        $pass_marks="VERY GOOD"; 
      }elseif ($marks>= 60) {
        $pass_marks="GOOD"; 
      }elseif ($marks>= 50) {
        $pass_marks="AVERAGE"; 
      }elseif ($marks>= 40) {
        $pass_marks="SARTISFACTORY"; 
      }elseif ($marks>= 35) {
        $pass_marks="SUBSIDIARY"; 
      }else{
        $pass_marks="FAIL"; 
 }
}

 
$query=mysqli_query($conn,"UPDATE `marks_srms` SET `grade`='$grade',`pass_marks`='$pass_marks',`marks`='$marks',`point`='$T_point' WHERE student_roll_no='$student_roll_no' AND subject_id='$subject_id' AND exam_id='$ex_id'");
  
  if($query){ 
         ?>
         <script type="text/javascript">
             alert("Result Success Fully updated");
         </script>
        <?php  
      }  
      else{
        ?>  
        <script type="text/javascript">
         alert("Sorry Result Failed to update Try Again !!");
        </script>
        <?php
    }
  } 
?>
 
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="icon" type="image/jpg" href="../assets/img/mzumbe1.jpg">
  <title>A PLUS | PRE & PRI</title> 
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../stp_con/fontawesome-free/css/all.min.css">
  <!-- daterange picker -->
  <link rel="stylesheet" href="../stp_con/daterangepicker/daterangepicker.css">
  <!-- iCheck for checkboxes and radio inputs -->
  <link rel="stylesheet" href="../stp_con/icheck-bootstrap/icheck-bootstrap.min.css">
  <!-- Bootstrap Color Picker -->
  <link rel="stylesheet" href="../stp_con/bootstrap-colorpicker/css/bootstrap-colorpicker.min.css">
  <!-- Tempusdominus Bootstrap 4 -->
  <link rel="stylesheet" href="../stp_con/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css">
  <!-- Select2 -->
  <link rel="stylesheet" href="../stp_con/select2/css/select2.min.css">
  <link rel="stylesheet" href="stp_con/select2-bootstrap4-theme/select2-bootstrap4.min.css">
  <!-- Bootstrap4 Duallistbox -->
  <link rel="stylesheet" href="../stp_con/bootstrap4-duallistbox/bootstrap-duallistbox.min.css">
  <!-- BS Stepper -->
  <link rel="stylesheet" href="../stp_con/bs-stepper/css/bs-stepper.min.css">
  <!-- dropzonejs -->
  <link rel="stylesheet" href="../stp_con/dropzone/min/dropzone.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="../assets/css/adminlte.min.css">
  <link rel="stylesheet" type="text/css" href="../stp_con/parsley/parsley.css"/>
</head>
<body class="hold-transition sidebar-mini layout-fixed top-nav">
<!-- Site wrapper -->
<div class="wrapper"> 
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h5><strong>Edit Result</strong></h5>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item"><a href="#">Result One</a></li>
              <li class="breadcrumb-item active">Level One</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

   <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row"> 
          <!-- /.col -->
          <div class="col-md-12">
            <div class="card"> 
              <!-- /.card-header --> 
              <div class="card-body"> 
                <div class="tab-content"> 
                   <div class="card card-default"> 
                    <form method="post" action="" id="login_form">
                        <div class="modal-content">  
                          <div class="modal-body"> 
                         <?php 
                        
                          $query= mysqli_query($conn,"SELECT * FROM class_srms,student_srms,marks_srms WHERE marks_srms.exam_id = '$ex_id'  AND  student_srms.student_roll_no = marks_srms.student_roll_no AND class_srms.class_id=marks_srms.class_id AND student_srms.class_id = marks_srms.class_id AND marks_srms.student_roll_no='$student_roll_no'")or die(mysqli_error());
                          $row = mysqli_fetch_array($query);
                          $class= $row['class_id']; 
                          $query1= mysqli_query($conn,"SELECT * FROM general_subject,student_srms,marks_srms AS s WHERE s.exam_id = '$ex_id' AND general_subject.sub_id=s.subject_id  AND  student_srms.student_roll_no = s.student_roll_no AND student_srms.student_roll_no='$student_roll_no'")or die(mysqli_error());
                             
                          ?> 
                              <div class="form-group">
                                  <label>REGISTRATION NUMBER <span style="color: red;">*</span></label>
                                   <input type="text" value="<?php echo $row['student_roll_no'] ?>" class="form-control" disabled>         
                                </div>  
                              <div class="form-group">
                                  <label>ClASS</label>
                                  <input type="text" value="<?php echo $row['class_name']?>" class="form-control" disabled>        
                                </div>  
                                <div class="form-group">
                                  <label>STUDENT NAME </label>  
                                  <input type="text" value="<?php echo $row['student_name']?>" class="form-control" disabled>  
                                </div>  
                                <?php  while($course = mysqli_fetch_array($query1)){  ?>
                                  <div class="form-group">
                                     <div class="form-group">
                                      <label><?php echo $course['subject_name']?></label>
                                      <input type="text" name="" id="" class="form-control"  required data-parsley-max="60" data-parsley-trigger="keyup" value="<?php echo $course['marks']?>" disabled>
                                    </div>
                                  </div>
                                <?php }?> 
                                <p>Update result Now</p>
                                <hr>
                                 <div class="form-group">
                                      <label>Subject Name<span style="color: red;">*</span></label>
                                      <div class="select2-purple"> 
                                     <?php  
                                        $i = 1; 
                                        $query = "SELECT * FROM general_subject,marks_srms AS s WHERE s.exam_id = '$ex_id' AND general_subject.sub_id=s.subject_id  AND s.student_roll_no='$student_roll_no' ORDER BY general_subject.subject_name ASC"; 
                                        $result = $conn->query($query);         
                                         ?> 

                                              <select name="subject_id" class="form-control select2" data-dropdown-css-class="Select a Student" style="width: 100%;" required>
                                                  <option>Select Subject</option>
                                                  <?php 
                                                  if($result->num_rows > 0){
                                                   
                                                      while($row = $result->fetch_assoc()){  
                                                          echo '<option value="'.$row['sub_id'].'">'.$i++.' | '.$row['subject_name'].'</option>';

                                                      }
                                                     
                                                  }else{ 
                                                      echo '<option value="">Subject not available</option>'; 
                                                  } 
                                                ?>
                                            </select>
                                    </div>
                                  </div>   
                                  <div class="form-group">
                                     <div class="form-group">
                                      <label>SCORE</label>
                                     <input type="text" name="marks" id="marks" class="form-control" required data-parsley-max="100" required data-parsley-type="integer"  data-parsley-trigger="keyup"  placeholder="Hint: Marks <= 100"/>
                                     <input type="hidden" name="class_id" value="<?php echo $class ?>">
                                    </div>
                                </div> 
                              <div class="modal-footer"> 
                              <a href="admin.php?page=fgtutrs345gj789km231ExamUIYTR7ttdeewz34&Id_2=<?php echo $ex_id; ?>" class="btn btn-primary">BACK</a> 
                              <button type="submit" name="edit_feb" class="btn btn-secondary">EDIT</button> 
                          </div>
                        </div>
                      </div>
                    </form>
                  </div> 
                  
                  <!-- /.tab-pane -->
                </div>
                <!-- /.tab-content -->
              </div><!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

<script src="../stp_con/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="../stp_con/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- DataTables  & Plugins -->
<script src="../stp_con/datatables/jquery.dataTables.min.js"></script>
<script src="../stp_con/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="../stp_con/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="../stp_con/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="../stp_con/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="../stp_con/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="../stp_con/jszip/jszip.min.js"></script> 
<script src="../stp_con/pdfmake/pdfmake.min.js"></script>
<script src="../stp_con/pdfmake/vfs_fonts.js"></script> 
<script src="../stp_con/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="../stp_con/datatables-buttons/js/buttons.print.min.js"></script>
<script src="../stp_con/datatables-buttons/js/buttons.colVis.min.js"></script>
 
<script src="../assets/js/adminlte.min.js"></script> 

<!-- Select2 -->
<script src="../stp_con/select2/js/select2.full.min.js"></script>
 
<script src="../stp_con/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js"></script>
 
</body>

</html>
 
 
 <script>
  $(function () {
    //Initialize Select2 Elements
    $('.select2').select2()

    //Initialize Select2 Elements
    $('.select2bs4').select2({
      theme: 'bootstrap4'
    })

    //Datemask dd/mm/yyyy
    $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
    //Datemask2 mm/dd/yyyy
    $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
    //Money Euro
    $('[data-mask]').inputmask()

    //Date picker
    $('#reservationdate').datetimepicker({
        format: 'L'
    }); 
    //Date range picker
    $('#reservation').daterangepicker()
    //Date range picker with time picker
    $('#reservationtime').daterangepicker({
      timePicker: true,
      timePickerIncrement: 30,
      locale: {
        format: 'MM/DD/YYYY hh:mm A'
      }
    })
    //Date range as a button
    $('#daterange-btn').daterangepicker(
      {
        ranges   : {
          'Today'       : [moment(), moment()],
          'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
          'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
          'Last 30 Days': [moment().subtract(29, 'days'), moment()],
          'This Month'  : [moment().startOf('month'), moment().endOf('month')],
          'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
        },
        startDate: moment().subtract(29, 'days'),
        endDate  : moment()
      },
      function (start, end) {
        $('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
      }
    )

    //Timepicker
    $('#timepicker').datetimepicker({
      format: 'LT'
    })

    //Bootstrap Duallistbox
    $('.duallistbox').bootstrapDualListbox()

    //Colorpicker
    $('.my-colorpicker1').colorpicker()
    //color picker with addon
    $('.my-colorpicker2').colorpicker()

    $('.my-colorpicker2').on('colorpickerChange', function(event) {
      $('.my-colorpicker2 .fa-square').css('color', event.color.toString());
    })
  })
  // BS-Stepper Init
  document.addEventListener('DOMContentLoaded', function () {
    window.stepper = new Stepper(document.querySelector('.bs-stepper'))
  })

  // DropzoneJS Demo Code Start
  Dropzone.autoDiscover = false

  // Get the template HTML and remove it from the doumenthe template HTML and remove it from the doument
  var previewNode = document.querySelector("#template")
  previewNode.id = ""
  var previewTemplate = previewNode.parentNode.innerHTML
  previewNode.parentNode.removeChild(previewNode)

  var myDropzone = new Dropzone(document.body, { // Make the whole body a dropzone
    url: "/target-url", // Set the url
    thumbnailWidth: 80,
    thumbnailHeight: 80,
    parallelUploads: 20,
    previewTemplate: previewTemplate,
    autoQueue: false, // Make sure the files aren't queued until manually added
    previewsContainer: "#previews", // Define the container to display the previews
    clickable: ".fileinput-button" // Define the element that should be used as click trigger to select files.
  })

  myDropzone.on("addedfile", function(file) {
    // Hookup the start button
    file.previewElement.querySelector(".start").onclick = function() { myDropzone.enqueueFile(file) }
  })

  // Update the total progress bar
  myDropzone.on("totaluploadprogress", function(progress) {
    document.querySelector("#total-progress .progress-bar").style.width = progress + "%"
  })

  myDropzone.on("sending", function(file) {
    // Show the total progress bar when upload starts
    document.querySelector("#total-progress").style.opacity = "1"
    // And disable the start button
    file.previewElement.querySelector(".start").setAttribute("disabled", "disabled")
  })


    $('.toastrDefaultSuccess').click(function() {
      toastr.success('Lorem ipsum dolor sit amet, consetetur sadipscing elitr.')
    });
    $('.toastrDefaultInfo').click(function() {
      toastr.info('Lorem ipsum dolor sit amet, consetetur sadipscing elitr.')
    });
    $('.toastrDefaultError').click(function() {
      toastr.error('Lorem ipsum dolor sit amet, consetetur sadipscing elitr.')
    });
    $('.toastrDefaultWarning').click(function() {
      toastr.warning('Lorem ipsum dolor sit amet, consetetur sadipscing elitr.')
    });

  // Hide the total progress bar when nothing's uploading anymore
  myDropzone.on("queuecomplete", function(progress) {
    document.querySelector("#total-progress").style.opacity = "0"
  })

  // Setup the buttons for all transfers
  // The "add files" button doesn't need to be setup because the config
  // `clickable` has already been specified.
  document.querySelector("#actions .start").onclick = function() {
    myDropzone.enqueueFiles(myDropzone.getFilesWithStatus(Dropzone.ADDED))
  }
  document.querySelector("#actions .cancel").onclick = function() {
    myDropzone.removeAllFiles(true)
  }
  // DropzoneJS Demo Code End
  </script>
<script>
$(document).ready(function(){
    $('#login_form').parsley();
     $('#login_form2').parsley();
     $('#login_form3').parsley();
     $('#login_form4').parsley();
     $('#login_form5').parsley();
     $('#login_form6').parsley(); 
});

</script>
 
